SDL_CopyGPUBufferToBuffer(3)

NAME
SDL_CopyGPUBufferToBuffer - Performs a buffer-to-buffer copy.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_CopyGPUBufferToBuffer(
    SDL_GPUCopyPass *copy_pass,
    const SDL_GPUBufferLocation *source,
    const SDL_GPUBufferLocation *destination,
    Uint32 size,
    bool cycle);

DESCRIPTION
This copy occurs on the GPU timeline. You may assume the copy has finished in subsequent commands.

FUNCTION PARAMETERS

copy_pass
    a copy pass handle.

source
    the buffer and offset to copy from.

destination
    the buffer and offset to copy to.

size
    the length of the buffer to copy.

cycle
    if true, cycles the destination buffer if it is already bound, otherwise overwrites the data.

AVAILABILITY
This function is available since SDL 3.2.0.